	-- ################################################
	-- ## DCS Character Frame Expand/Collapse Button ##
	-- ################################################
	
	local _, private = ...
		private.defaults.dejacharacterstatsExpandChecked = {
			ExpandSetChecked = true,
	}	
	
	local DCS_ExpandCheck = CreateFrame("Button", "DCS_ExpandCheck", CharacterFrameInset, "InterfaceOptionsCheckButtonTemplate")
		DCS_ExpandCheck:RegisterEvent("PLAYER_LOGIN")
		DCS_ExpandCheck:ClearAllPoints()
		DCS_ExpandCheck:SetPoint("BOTTOMRIGHT", 0, 0)
		DCS_ExpandCheck:SetScale(1.25)
		DCS_ExpandCheck.tooltipText = 'Show Character Stats.' --Creates a tooltip on mouseover.
	
	local DCS_ExpandButtontexture = DCS_ExpandCheck:CreateTexture() 
		DCS_ExpandButtontexture:SetAllPoints(DCS_ExpandCheck) 

	DCS_ExpandCheck:SetScript("OnEvent", function(self, event, arg1)
		if event == "PLAYER_LOGIN" then
			checked = private.db.dejacharacterstatsExpandChecked.ExpandSetChecked
			--	print(checked)
		end
	end)

	DCS_ExpandCheck:SetScript("OnClick", function(self,event,arg1) 
		checked = private.db.dejacharacterstatsExpandChecked.ExpandSetChecked
		if checked == true then
		--	print(checked)
			CharacterFrame_Collapse();
			DCS_ExpandButtontexture:SetTexture("Interface\\GLUES\\COMMON\\Glue-RightArrow-Button-Up") 
			private.db.dejacharacterstatsExpandChecked.ExpandSetChecked = false
		else
		--	print(checked)
			CharacterFrame_Expand();
			DCS_ExpandButtontexture:SetTexture("Interface\\GLUES\\COMMON\\Glue-RightArrow-Button-Down") 
			private.db.dejacharacterstatsExpandChecked.ExpandSetChecked = true
		end
	end)
	
	PaperDollFrame:SetScript("OnShow", function(self, event, arg1)
		CharacterStatsPane.initialOffsetY = 0;
		CharacterFrameTitleText:SetText(UnitPVPName("player"));
		PaperDollFrame_SetLevel();
		PaperDollFrame_UpdateStats();
		CharacterFrame_Expand();

		SetPaperDollBackground(CharacterModelFrame, "player");
		PaperDollBgDesaturate(true);
		PaperDollSidebarTabs:Show();
		PaperDollFrame_UpdateInventoryFixupComplete(self);

		checked = private.db.dejacharacterstatsExpandChecked.ExpandSetChecked
		if checked == true then
		--	print(checked)
			CharacterFrame_Expand();
			DCS_ExpandButtontexture:SetTexture("Interface\\GLUES\\COMMON\\Glue-RightArrow-Button-Down") 
		else
		--	print(checked)
			CharacterFrame_Collapse();
			DCS_ExpandButtontexture:SetTexture("Interface\\GLUES\\COMMON\\Glue-RightArrow-Button-Up") 
		end
	end)